Summary:	A network traffic monitoring tool
Name:		tcpdump
Version:	3.9.7
Release:	%mkrel 2
Epoch:		2
Group:	 	Monitoring
License:	BSD
URL:		http://www.tcpdump.org/
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Source1:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz.sig
BuildRequires:	libpcap-devel
BuildRequires:	openssl-devel
BuildRequires:	libtool
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Tcpdump is a command-line tool for monitoring network traffic.  Tcpdump can
capture and display the packet headers on a particular network interface or on
all interfaces.  Tcpdump can display all of the packet headers, or just the
ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%prep

%setup -q

%build
%serverbuild
libtoolize --copy --force
%define	optflags $RPM_OPT_FLAGS -DIP_MAX_MEMBERSHIPS=20

%configure2_5x \
    --enable-ipv6

%undefine optflags

%make

# (oe) TODO: investigate the following:
#--with-user=USERNAME    drop privileges by default to USERNAME
#--with-chroot=DIRECTORY when dropping privileges, chroot to DIRECTORY

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man1

#install -m755 -s tcpdump ${RPM_BUILD_ROOT}%{_sbindir}
#install -m644 tcpdump.1 ${RPM_BUILD_ROOT}%{_mandir}/man8/tcpdump.8
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES CREDITS FILES LICENSE TODO VERSION PLATFORMS
%{_sbindir}/tcpdump
%{_mandir}/man1/tcpdump.1*


%changelog
* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.9.7-2mdv2008.0
+ Revision: 90300
- rebuild

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.7-1mdv2008.0
+ Revision: 55565
- 3.9.7
- drop the upstream CVE-2007-3798 path

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.5-3mdv2008.0
+ Revision: 55557
- plug CVE-2007-3798

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 2:3.9.5-2mdv2008.0
+ Revision: 43310
- using new serverbuild macro (-fstack-protector)


* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 3.9.5-1mdv2007.0
+ Revision: 86303
- Import tcpdump

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 3.9.5-1mdv2007.1
- 3.9.5
- fix deps

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 3.9.4-1mdk
- 3.9.4

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 3.9.3-2mdk
- rebuilt against openssl-0.9.8a

* Sat Aug 13 2005 Warly <warly@mandriva.com> 2:3.9.3-1mdk
- new version

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.1-1mdk
- 3.9.1
- drop redundant patch

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.8.3-2mdk
- fix gcc-3.4 build (P1 from fedora)

* Fri Apr 16 2004 Michael Scherer <mscherer@mandrakesoft.com> 3.8.3-1mdk
- New release 3.8.3

* Tue Jan 27 2004 Warly <warly@mandrakesoft.com> 2:3.8.1-1mdk
- new version

